<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.ss.formula.eval (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.ss.formula.eval (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/constant/package-summary.html">Prev&nbsp;Package</a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/forked/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/eval/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.ss.formula.eval</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/AreaEval.html"
                                            title="interface in org.apache.poi.ss.formula.eval">AreaEval</a></td>
                    <td class="colLast">
                        <div class="block">Evaluation of 2D (Row+Column) and 3D (Sheet+Row+Column) areas</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/NumericValueEval.html"
                            title="interface in org.apache.poi.ss.formula.eval">NumericValueEval</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                                            title="interface in org.apache.poi.ss.formula.eval">RefEval</a></td>
                    <td class="colLast">
                        <div class="block">RefEval is the super interface for Ref2D and Ref3DEval.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/StringValueEval.html"
                                            title="interface in org.apache.poi.ss.formula.eval">StringValueEval</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                            title="interface in org.apache.poi.ss.formula.eval">ValueEval</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/AreaEvalBase.html"
                                            title="class in org.apache.poi.ss.formula.eval">AreaEvalBase</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/BlankEval.html"
                                            title="class in org.apache.poi.ss.formula.eval">BlankEval</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/BoolEval.html"
                                            title="class in org.apache.poi.ss.formula.eval">BoolEval</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/ConcatEval.html"
                                            title="class in org.apache.poi.ss.formula.eval">ConcatEval</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/ErrorEval.html"
                                            title="class in org.apache.poi.ss.formula.eval">ErrorEval</a></td>
                    <td class="colLast">
                        <div class="block">Evaluations for formula errors</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/ExternalNameEval.html"
                            title="class in org.apache.poi.ss.formula.eval">ExternalNameEval</a></td>
                    <td class="colLast">
                        <div class="block">Evaluation of a Name defined in a Sheet or Workbook scope</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/FunctionEval.html"
                                            title="class in org.apache.poi.ss.formula.eval">FunctionEval</a></td>
                    <td class="colLast">
                        <div class="block">Mappings from the Excel functions to our evaluation implementations
                            (where available)
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/FunctionNameEval.html"
                            title="class in org.apache.poi.ss.formula.eval">FunctionNameEval</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/IntersectionEval.html"
                            title="class in org.apache.poi.ss.formula.eval">IntersectionEval</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/MissingArgEval.html"
                                            title="class in org.apache.poi.ss.formula.eval">MissingArgEval</a></td>
                    <td class="colLast">
                        <div class="block">Represents the (intermediate) evaluated result of a missing function
                            argument.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/NumberEval.html"
                                            title="class in org.apache.poi.ss.formula.eval">NumberEval</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/OperandResolver.html"
                                            title="class in org.apache.poi.ss.formula.eval">OperandResolver</a></td>
                    <td class="colLast">
                        <div class="block">Provides functionality for evaluating arguments to functions and operators.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/PercentEval.html"
                                            title="class in org.apache.poi.ss.formula.eval">PercentEval</a></td>
                    <td class="colLast">
                        <div class="block">Implementation of Excel formula token '%'.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/RangeEval.html"
                                            title="class in org.apache.poi.ss.formula.eval">RangeEval</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/RefEvalBase.html"
                                            title="class in org.apache.poi.ss.formula.eval">RefEvalBase</a></td>
                    <td class="colLast">
                        <div class="block">Common base class for implementors of <a
                                href="../../../../../../org/apache/poi/ss/formula/eval/RefEval.html"
                                title="interface in org.apache.poi.ss.formula.eval"><code>RefEval</code></a></div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/RefListEval.html"
                                            title="class in org.apache.poi.ss.formula.eval">RefListEval</a></td>
                    <td class="colLast">
                        <div class="block">Handling of a list of values, e.g.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/RelationalOperationEval.html"
                            title="class in org.apache.poi.ss.formula.eval">RelationalOperationEval</a></td>
                    <td class="colLast">
                        <div class="block">Base class for all comparison operator evaluators</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/StringEval.html"
                                            title="class in org.apache.poi.ss.formula.eval">StringEval</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/TwoOperandNumericOperation.html"
                            title="class in org.apache.poi.ss.formula.eval">TwoOperandNumericOperation</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/UnaryMinusEval.html"
                                            title="class in org.apache.poi.ss.formula.eval">UnaryMinusEval</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/ss/formula/eval/UnaryPlusEval.html"
                                            title="class in org.apache.poi.ss.formula.eval">UnaryPlusEval</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Exception Summary table, listing exceptions, and an explanation">
                <caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Exception</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/EvaluationException.html"
                            title="class in org.apache.poi.ss.formula.eval">EvaluationException</a></td>
                    <td class="colLast">
                        <div class="block">This class is used to simplify error handling logic <i>within</i> operator
                            and function
                            implementations.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/NotImplementedException.html"
                            title="class in org.apache.poi.ss.formula.eval">NotImplementedException</a></td>
                    <td class="colLast">
                        <div class="block">An exception thrown by implementors of <a
                                href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                title="interface in org.apache.poi.ss.usermodel"><code>FormulaEvaluator</code></a>,
                            when attempting to evaluate a formula which requires features
                            that POI does not (yet) support.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/ss/formula/eval/NotImplementedFunctionException.html"
                            title="class in org.apache.poi.ss.formula.eval">NotImplementedFunctionException</a></td>
                    <td class="colLast">
                        <div class="block">An exception thrown by implementors of <a
                                href="../../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                title="interface in org.apache.poi.ss.usermodel"><code>FormulaEvaluator</code></a> when
                            attempting to evaluate a formula which requires a function that POI
                            does not (yet) support.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/constant/package-summary.html">Prev&nbsp;Package</a>
        </li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/eval/forked/package-summary.html">Next&nbsp;Package</a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/eval/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
